autotest.sh revision 903
0N/A#
903N/A# Copyright 2006-2009 Sun Microsystems, Inc. All Rights Reserved.
0N/A# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
0N/A#
0N/A# This code is free software; you can redistribute it and/or modify it
0N/A# under the terms of the GNU General Public License version 2 only, as
0N/A# published by the Free Software Foundation.
0N/A#
0N/A# This code is distributed in the hope that it will be useful, but WITHOUT
0N/A# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
0N/A# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
0N/A# version 2 for more details (a copy is included in the LICENSE file that
0N/A# accompanied this code).
0N/A#
0N/A# You should have received a copy of the GNU General Public License version
0N/A# 2 along with this work; if not, write to the Free Software Foundation,
0N/A# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
0N/A#
0N/A# Please contact Sun Microsystems, Inc., 4150 Network Circle, Santa Clara,
0N/A# CA 95054 USA or visit www.sun.com if you need additional information or
0N/A# have any questions.
0N/A#
0N/A
0N/A# @test
0N/A# @summary (almost) all keytool behaviors
0N/A# @author Weijun Wang
0N/A#
903N/A# This test is only executed on several platforms
903N/A#
0N/A# set a few environment variables so that the shell-script can run stand-alone
0N/A# in the source directory
0N/Aif [ "${TESTSRC}" = "" ] ; then
0N/A TESTSRC="."
0N/Afi
0N/Aif [ "${TESTCLASSES}" = "" ] ; then
0N/A TESTCLASSES="."
0N/Afi
0N/Aif [ "${TESTJAVA}" = "" ] ; then
0N/A echo "TESTJAVA not set. Test cannot execute."
0N/A echo "FAILED!!!"
0N/A exit 1
0N/Afi
0N/A
0N/A# set platform-dependent variables
0N/AOS=`uname -s`
0N/Acase "$OS" in
0N/A SunOS )
0N/A FS="/"
0N/A LIBNAME=libsoftokn3.so
0N/A ARCH=`isainfo`
0N/A case "$ARCH" in
0N/A sparc* )
0N/A PF="solaris-sparc"
0N/A ;;
0N/A * )
0N/A echo "Will not run test on: Solaris ${ARCH}"
0N/A exit 0;
0N/A ;;
0N/A esac
0N/A ;;
0N/A Linux )
0N/A LIBNAME=libsoftokn3.so
0N/A ARCH=`uname -m`
0N/A FS="/"
0N/A case "$ARCH" in
0N/A i[3-6]86 )
0N/A PF="linux-i586"
0N/A ;;
0N/A * )
0N/A echo "Will not run test on: Linux ${ARCH}"
0N/A exit 0;
0N/A ;;
0N/A esac
0N/A ;;
0N/A * )
0N/A echo "Will not run test on: ${OS}"
0N/A exit 0;
0N/A ;;
0N/Aesac
0N/A
0N/A${TESTJAVA}${FS}bin${FS}javac -d . ${TESTSRC}${FS}KeyToolTest.java || exit 10
0N/A
0N/ANSS=${TESTSRC}${FS}..${FS}..${FS}pkcs11${FS}nss
0N/A
0N/Acp ${TESTSRC}${FS}p11-nss.txt .
0N/Acp ${NSS}${FS}db${FS}cert8.db .
0N/Acp ${NSS}${FS}db${FS}key3.db .
0N/Acp ${NSS}${FS}db${FS}secmod.db .
0N/A
0N/Achmod u+w key3.db
0N/Achmod u+w cert8.db
0N/A
903N/Aecho | ${TESTJAVA}${FS}bin${FS}java -Dnss \
0N/A -Dnss.lib=${NSS}${FS}lib${FS}${PF}${FS}${LIBNAME} \
321N/A KeyToolTest
321N/Astatus=$?
0N/A
0N/Arm -f p11-nss.txt
0N/Arm -f cert8.db
0N/Arm -f key3.db
0N/Arm -f secmod.db
0N/A
0N/Arm HumanInputStream*.class
903N/Arm KeyToolTest*.class
903N/Arm TestException.class
0N/A
321N/Aexit $status
321N/A